> ## Documentation Index
> Fetch the complete documentation index at: https://thenile.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# get a tenant

> get information about a tenant



## OpenAPI

````yaml https://us-west-2.api.thenile.dev/v2/openapi get /v2/databases/{database}/tenants/{tenantId}
openapi: 3.0.0
info:
  title: Nile auth API
  version: '0.1'
servers: []
security: []
tags: []
paths:
  /v2/databases/{database}/tenants/{tenantId}:
    get:
      tags:
        - tenants
      summary: get a tenant
      description: get information about a tenant
      operationId: getTenant
      parameters:
        - name: database
          in: path
          required: true
          schema:
            type: string
        - name: tenantId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: the tenant
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Tenant'
        '400':
          description: API/Database failures
          content:
            text/plain:
              schema:
                type: string
        '401':
          description: Unauthorized
          content: {}
        '404':
          description: Not found
          content: {}
      security:
        - sessionCookie: []
components:
  schemas:
    Tenant:
      required:
        - id
      type: object
      properties:
        id:
          type: string
        name:
          type: string
  securitySchemes:
    sessionCookie:
      type: apiKey
      in: cookie
      name: nile-auth.session-token
      description: >-
        Session token stored in a cookie after user signs in, prefixed with
        __Secure if on https

````